Last updated: 17 October 2025 | Change log
Query card payments processed before 25 June 2024.
Provide a transactionReference and entityReference to find the matching payment.
GET https://try.access.worldpay.com/paymentQueries/archivedPayments?transactionReference={transactionReference}&entityReference={entityReference}
GET https://try.access.worldpay.com/paymentQueries/archivedPayments?transactionReference=PayFac20230302-3charState&entity=entityReference123
| Parameter | Required | Description |
|---|---|---|
transactionReference | ✅ | A unique reference generated by you. It is used to identify a payment throughout its lifecycle. |
entityReference | ✅ | Direct your payment to assist with billing, reporting and reconciliation. This is mandatory for authentication of a payment. Contact your Worldpay Implementation Manager for more details. Note You might have supplied this as entity in your original payment request. |
The response contains summary information about the payment associated with the request parameters.
Self link and next action links. The next action links are dependent on the lastEvent. Refer to the 'query for historical payments response' section for more details.
Self link to the page.
Self link to the page.
Next action links.
Next action links.
Next action links.
Array of payments.
We return a lastEvent in the response from Payment Queries for queries on historical payments, and also for GET requests made from Payments API. In these scenarios, the lastEvent is the outcome of a payment command (eg Authorized,Refused etc).
Query payments by transaction reference also provides lastEvent in the API response, which is the last eventName received in the payment life cycle.
The table below shows a mapping between these.
| Payment Queries eventName | Payments API lastEvent |
|---|---|
authorizationRequested | N/A |
authorizationSucceeded | Authorized/Sent for Settlement/Expired |
authorizationRefused | Refused |
authorizationFailed | Error |
authorizationTimedOut | Authorized/Sent for Settlement/Refused/Error/Expired |
saleRequested | N/A |
saleSucceeded | N/A |
saleRefused | N/A |
saleFailed | N/A |
saleTimedOut | N/A |
settlementRequested | N/A |
settlementRequestSubmitted | Sent for Settlement/Expired |
settlementRequestSubmissionFailed | Authorized/Error |
settlementRequestSubmissionTimedOut | Authorized/Error/Sent for Settlement/Expired |
refundRequested | N/A |
refundRequestSubmitted | Sent for Refund/Expired |
refundRequestSubmissionFailed | Sent for Settlement/Error |
refundRequestSubmissionTimedOut | Sent for Refund/Error/Sent for Settlement/Expired |
reversalRequested | N/A |
reversalRequestSubmitted | Sent for Refund/Sent for Cancellation/Expired |
reversalRequestSubmissionFailed | Sent for Settlement/Error |
reversalRequestSubmissionTimedOut | Sent for Refund/Error/Sent for Cancellation/Expired |
cancellationRequested | N/A |
cancellationRequestSubmitted | Authorized/Sent for Cancellation/Expired |
cancellationRequestSubmissionFailed | Authorized/Error |
cancellationRequestSubmissionTimedOut | Sent for Cancellation/Error/Expired |
Status updates for Payments API GET requests and Payment Queries historical transactions may take up to 15 minutes.